IntelliPhoto 0.5

Classes | Namespaces | Functions
IntelliHelper.h File Reference
`#include <QPoint>`
`#include <vector>`
Include dependency graph for IntelliHelper.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | Triangle
| The Triangle struct holds the 3 vertices of a triangle. More...

## Namespaces
| IntelliHelper

## Functions
float | IntelliHelper::sign (QPoint &p1, QPoint &p2, QPoint &p3)
| A function to get the 2*area of a traingle, using its determinat. More...
bool | IntelliHelper::isInTriangle (Triangle &tri, QPoint &P)
| A function to check if a given point is in a triangle. More...
std::vector< Triangle > | IntelliHelper::calculateTriangles (std::vector< QPoint > polyPoints)
| A function to split a polygon in its spanning traingles by using Meisters Theorem of graph theory by clipping ears of a planar graph. More...
bool | IntelliHelper::isInPolygon (std::vector< Triangle > &triangles, QPoint &point)
| A function to check if a point lies in a polygon by checking its spanning triangles. More...